net.dontdrinkandroot.utils.lang

## Class StringUtils

- java.lang.Object
- - org.apache.commons.lang3.StringUtils
  - - net.dontdrinkandroot.utils.lang.StringUtils

    public class StringUtils
    extends org.apache.commons.lang3.StringUtils

Author:
  Philip W. Sorst

### Field Summary

### Fields inherited from class org.apache.commons.lang3.StringUtils

`EMPTY, INDEX_NOT_FOUND`

### Constructor Summary

Constructors
Constructor and Description
`StringUtils()`

### Method Summary

Methods
`static <T> CharSequence` `join(Iterable<T> objects, String seperator, org.apache.commons.collections15.Transformer<T,String> toStringTransformer)`
`static <T> CharSequence` `join(T[] objects, String seperator, org.apache.commons.collections15.Transformer<T,String> toStringTransformer)`

### Methods inherited from class org.apache.commons.lang3.StringUtils

`abbreviate, abbreviate, abbreviateMiddle, capitalize, center, center, center, chomp, chomp, chop, contains, contains, containsAny, containsAny, containsIgnoreCase, containsNone, containsNone, containsOnly, containsOnly, containsWhitespace, countMatches, defaultIfBlank, defaultIfEmpty, defaultString, defaultString, deleteWhitespace, difference, endsWith, endsWithAny, endsWithIgnoreCase, equals, equalsIgnoreCase, getCommonPrefix, getLevenshteinDistance, getLevenshteinDistance, indexOf, indexOf, indexOf, indexOf, indexOfAny, indexOfAny, indexOfAny, indexOfAnyBut, indexOfAnyBut, indexOfDifference, indexOfDifference, indexOfIgnoreCase, indexOfIgnoreCase, isAllLowerCase, isAllUpperCase, isAlpha, isAlphanumeric, isAlphanumericSpace, isAlphaSpace, isAsciiPrintable, isBlank, isEmpty, isNotBlank, isNotEmpty, isNumeric, isNumericSpace, isWhitespace, join, join, join, join, join, join, join, join, join, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOfAny, lastIndexOfIgnoreCase, lastIndexOfIgnoreCase, lastOrdinalIndexOf, left, leftPad, leftPad, leftPad, length, lowerCase, lowerCase, mid, normalizeSpace, ordinalIndexOf, overlay, remove, remove, removeEnd, removeEndIgnoreCase, removeStart, removeStartIgnoreCase, repeat, repeat, repeat, replace, replace, replaceChars, replaceChars, replaceEach, replaceEachRepeatedly, replaceOnce, reverse, reverseDelimited, right, rightPad, rightPad, rightPad, split, split, split, split, splitByCharacterType, splitByCharacterTypeCamelCase, splitByWholeSeparator, splitByWholeSeparator, splitByWholeSeparatorPreserveAllTokens, splitByWholeSeparatorPreserveAllTokens, splitPreserveAllTokens, splitPreserveAllTokens, splitPreserveAllTokens, splitPreserveAllTokens, startsWith, startsWithAny, startsWithIgnoreCase, strip, strip, stripAccents, stripAll, stripAll, stripEnd, stripStart, stripToEmpty, stripToNull, substring, substring, substringAfter, substringAfterLast, substringBefore, substringBeforeLast, substringBetween, substringBetween, substringsBetween, swapCase, toString, trim, trimToEmpty, trimToNull, uncapitalize, upperCase, upperCase`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringUtils

    public StringUtils()

### Method Detail

#### join

    public static <T> CharSequence join(Iterable<T> objects,
                        String seperator,
                        org.apache.commons.collections15.Transformer<T,String> toStringTransformer)

#### join

    public static <T> CharSequence join(T[] objects,
                        String seperator,
                        org.apache.commons.collections15.Transformer<T,String> toStringTransformer)